Package org.eclipse.birt.report.engine.api.script.eventhandler

# Interface ITableGroupEventHandler

All Known Implementing Classes:
  `TableGroupEventAdapter`

public interface ITableGroupEventHandler

## Method Summary

Modifier and Type
Method
Description
`void`
`onCreate(IReportElementInstance tableGroup, IReportContext context)`
`void`
`onPageBreak(IReportElementInstance tableGroup, IReportContext context)`
`void`
`onPrepare(ITableGroup tableGroup, IReportContext context)`
`void`
`onRender(IReportElementInstance tableGroup, IReportContext context)`

## Method Details

### onPrepare

void onPrepare(ITableGroup tableGroup, IReportContext context) throws ScriptException

Throws:
  `ScriptException`

### onCreate

void onCreate(IReportElementInstance tableGroup, IReportContext context) throws ScriptException

Throws:
  `ScriptException`

### onRender

void onRender(IReportElementInstance tableGroup, IReportContext context) throws ScriptException

Throws:
  `ScriptException`

### onPageBreak

void onPageBreak(IReportElementInstance tableGroup, IReportContext context) throws ScriptException

Throws:
  `ScriptException`